/* ====================================
   NAVBAR
==================================== */

nav{

    position:fixed;

    top:0;
    left:0;

    width:100%;

    height:100px;

    padding:0 100px;

    display:flex;

    justify-content:space-between;

    align-items:center;

    background:rgba(10,10,10,.35);

    backdrop-filter:blur(25px);

    border-bottom:

    1px solid rgba(255,255,255,.05);

    transition:.4s;

    z-index:1000;

}


/* Scroll Effekt */

nav.scrolled{

    height:85px;

    background:

    rgba(10,10,10,.75);

    backdrop-filter:blur(40px);

    border-bottom:

    1px solid rgba(0,217,255,.15);

    box-shadow:

        0 0 40px rgba(0,217,255,.08);

}


/* Logo */

.logo img{

    height:75px;

    width:auto;

    transition:.4s;

}
.logo img:hover{

    transform:scale(1.05);

    filter:

        drop-shadow(0 0 20px rgba(0,217,255,.35));

}


nav.scrolled .logo img{

    height:55px;

}


/* Menü */

nav ul{

    display:flex;

    align-items:center;

    gap:45px;

    list-style:none;

}


/* Links */

nav ul li a{

    position:relative;

    color:white;

    text-decoration:none;

    font-size:15px;

    font-weight:600;

    letter-spacing:1px;

    transition:.4s;

}


/* Hover */

nav ul li a:hover{

    color:var(--primary);

    text-shadow:

        0 0 10px rgba(0,217,255,.5),

        0 0 25px rgba(0,217,255,.25);

}


/* Linie */

nav ul li a::after{

    content:'';

    position:absolute;

    left:0;

    bottom:-8px;

    width:0;

    height:2px;

    background:var(--primary);

    transition:.4s;

}


nav ul li a:hover::after{

    width:100%;

}


/* Aktiver Menüpunkt */

nav ul li a.active{

    color:var(--primary);

}


nav ul li a.active::after{

    width:100%;

}
.menu-toggle{

    display:none;

    flex-direction:column;

    gap:6px;

    cursor:pointer;

    z-index:10001;

}


.menu-toggle span{
	
	transition:.4s;

    width:30px;

    height:3px;

    background:white;

    border-radius:5px;

}
.menu-toggle.active span:nth-child(1){

    transform:
    rotate(45deg)
    translate(6px,7px);

}

.menu-toggle.active span:nth-child(2){

    opacity:0;

}

.menu-toggle.active span:nth-child(3){

    transform:
    rotate(-45deg)
    translate(6px,-7px);

}

.menu-overlay{

    position:fixed;

    inset:0;

    background:

    rgba(0,0,0,.55);

    backdrop-filter:blur(8px);

    opacity:0;

    visibility:hidden;

    transition:.5s;

    z-index:998;

}


.menu-overlay.active{

    opacity:1;

    visibility:visible;

}

@media(max-width:1100px){

    .menu-toggle{

        display:flex;

    }
	
	.mobile-logo{

    margin-bottom:40px;

}


.mobile-logo img{

    width:220px;

    filter:

    drop-shadow(

    0 0 20px rgba(0,217,255,.25)

    );

}
	
	.mobile-socials{

    margin-top:auto;

    display:flex;

    gap:20px;

}


.mobile-socials a{

    color:#999;

    text-decoration:none;

    transition:.4s;

}


.mobile-socials a:hover{

    color:var(--primary);

}

    nav ul{


        position:fixed;

        top:0;

        right:-100%;

        width:380px;

        max-width:90%;

        height:100vh;

        padding:140px 50px;

        background:

        rgba(10,10,10,.85);

        backdrop-filter:blur(40px);

        display:flex;

        flex-direction:column;

        align-items:flex-start;

        gap:35px;

        transition:.6s;

		border-left:

       2px solid rgba(0,217,255,.35);

       box-shadow:

        -10px 0 50px rgba(0,217,255,.1);

    }

    nav ul.active{

        right:0;

    }

}

.erp-btn{

    display:flex;

    align-items:center;

    gap:10px;

    padding:14px 28px;

    border-radius:15px;

    background:var(--primary);

    color:#000 !important;

    font-weight:700;

    transition:.4s;

}


.erp-btn:hover{

    transform:translateY(-3px);

    box-shadow:

    0 0 25px rgba(0,217,255,.4);

}